@import 'lib'
@import "color_themes"

$floatBtnWidth: 60px


input:disabled
  color: var(--color-font-weaken) !important

#lobby
  .view
    vertical-align: top

    .viewHeader
      font-size: 24px
      text-align: left
      margin-bottom: 5px
      padding-left: 10px
      border-left: 5px solid var(--color-border-accent)
      border-radius: 5px
      text-transform: uppercase
      letter-spacing: 2px

  #view-players
    margin-bottom: 150px

    .team-name
      width: inherit
      height: inherit
      color: inherit
      font-size: inherit
      border: inherit

    .container-player-status
      width: 50px
      height: 100%
      position: relative
      display: inline-block

      .spinner-not-ready
        display: inline-block
        height: 50px
        width: 50px
        vertical-align: center

      .spinner-bouncy-balls
        span
          @extend %center-vertically
          display: inline-block
          height: 5px
          width: 5px
          background: green
          border-radius: 50%
          margin-left: 5px

          &:nth-child(1)
            animation: bounce 1s ease-in-out infinite
          &:nth-child(2)
            left: 10px
            animation: bounce 1s ease-in-out 0.33s infinite
          &:nth-child(3)
            left: 20px
            animation: bounce 1s ease-in-out 0.66s infinite

          @keyframes bounce
            0%, 75%, 100%
              transform: translateY(0px)
            25%
              transform: translateY(-10px)

      .spinner-rotating
        background: var(--color-elevation-10)
        border-radius: 50%
        border: 4px solid transparent
        display: inline-block
        border-top-color: var(--color-border-weaken)
        border-bottom-color: var(--color-border-weaken)
        animation: spin 2s linear infinite

      @keyframes spin
        0%
          transform: rotate(0deg) scale(1)
        100%
          transform: rotate(360deg) scale(1)



      .img-ready
        width: 30px
        height: 30px
        background-image: url("../assets/check-24px.svg")
        display: inline-block



  #view-options
    .option
      margin-bottom: 5px
      background: var(--color-elevation-10)
      padding: 15px
      border-bottom: 3px solid var(--color-border)
      font-size: 1.5em
      -webkit-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.12), 0 1px 5px 0 rgba(0, 0, 0, 0.2)
      box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.12), 0 1px 5px 0 rgba(0, 0, 0, 0.2)

      .optionLabel
        padding-right: 30px
        color: var(--color-font-weaken)
        font-size: 18px

      input[type="number"]
        appearance: none

      select
        background-color: transparent
        border: none
        border-bottom: 2px solid grey
        color: inherit
        outline: none


      ::placeholder
        color: var(--color-font-weaken)

      &:last-child
        margin-bottom: 150px

      &.hide-option
        & *
          display: none

      &.show-option
        & *
          display: block

  #btn-next-state
    position: fixed
    bottom: 10px
    left: 50%
    outline: none
    z-index: 3
    border: 2px solid var(--color-border)
    border-radius: 50%

    &:disabled
      background: gray !important

    #img-next-state
      width: $floatBtnWidth
      height: $floatBtnWidth

    &[state="setup"] > #img-next-state
      background-image: url("../assets/check-24px.svg")

    &[state="ready"] > #img-next-state
      background-image: url("../assets/play_arrow-24px.svg")

    &.disabled
      background: var(--color-background-red-transparent)

      &:hover
        background: var(--color-background-red)

    &.enabled
      background: var(--color-background-green-transparent)

      &:hover
        background: var(--color-background-green)
